@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;400&display=swap");

* {
  box-sizing: border-box;
  --primary-color: #216151;
  --secondary-color: #87cbce;
  --tetriary-color: #fff;
}

body {
  background-color: var(--secondary-color);
  font-family: "Poppins", sans-serif;
  display: flex;
  flex-wrap: wrap;
  margin: 0;
  padding-top: 3rem;
}

.add {
  position: fixed;
  top: 1rem;
  right: 1rem;
  background-color: var(--primary-color);
  color: var(--tetriary-color);
  border: none;
  border-radius: 3px;
  padding: 0.5rem 1rem;
  cursor: pointer;
}

.note {
  background-color: var(--tetriary-color);
  box-shadow: 0 0 10px 4px rgba(0, 0, 0, 0.1);
  margin: 30px 20px;
  height: 400px;
  width: 400px;
}

.note .tools {
  background-color: var(--primary-color);
  display: flex;
  justify-content: flex-end;
  padding: 0.5rem;
}

.note .tools button {
  background-color: transparent;
  border: none;
  color: var(--tetriary-color);
  cursor: pointer;
  font-size: 1rem;
  margin-left: 0.5rem;
}

.note .tools button:focus {
  outline: none;
}

.note .tools button:active {
  transform: scale(0.95);
}

.note .tools button.active {
  color: var(--secondary-color);
}

.note textarea {
  outline: none;
  font-family: inherit;
  font-size: 1rem;
  border: none;
  height: 360px;
  width: 100%;
  padding: 20px;
  resize: none;
}

.main {
  padding: 20px;
  white-space: pre-wrap;
  height: 360px;
  max-height: 100%;
}

.main p {
  margin: 0;
}

.hidden {
  display: none;
}
